<?php
namespace Porth\Borderstyle\Utility;


    /***************************************************************
     *
     *  Copyright notice
     *
     *  (c) 2016 Dr. Dieter Porth <info@mobger.de>
     *
     *  All rights reserved
     *
     *  This script is free software; you can redistribute it and/or modify
     *  it under the terms of the GNU General Public License as published by
     *  the Free Software Foundation; either version 3 of the License, or
     *  (at your option) any later version.
     *
     *  The GNU General Public License can be found at
     *  http://www.gnu.org/copyleft/gpl.html.
     *
     *  This copyright notice MUST APPEAR in all copies of the script!
     ***************************************************************/

/**
 * utilities for the usage in the local configuration
 *
 * @author Dr. Dieter Porth
 */
class LocalConfUtility
{

    /**
     * prepare the dynamic generation of a css-files in the local configuration
     *
     * @param \TYPO3\CMS\Core\Page\PageRenderer $renderer
     * @param int $porthBorderstyleTypeNum page-typeNum defined in the extension-constants
     */
    public static function prepareDynamicGeneratedCssFile($renderer, $porthBorderstyleTypeNum, $media = 'all')
    {
        if ($porthBorderstyleTypeNum > 0) {
            // best way: inject into compressed stylesheets
            // @todo find a way, to put the theme in the compressed stylesheets

            // second best way: allow the generation of stylesheets-page
            $media = trim($media);
            $params = [
                'cssFile' => '/?type=' . (int)$porthBorderstyleTypeNum,
                'compress' => false,
                'forceToTop' => true,
                'excludeFromConcatenation' => true,  // important, because it act like an external/generated file
                'media' => (empty($media) ? 'all' : $media) //htmlspecialchars($borderstyleConfig['porthBorderstyleCssFileMedia'])
            ];
            $renderer->addCssFile(
                $params['cssFile'],
                'stylesheet',
                'all',
                'border-theme',
                $params['compress'],
                $params['forceToTop'],
                '',
                $params['excludeFromConcatenation'],
                '|'
            );

            /** alternative way. import inline
             *
             * this works too, but it is unclear, if the cache of the brwqoser will work and it thas no caching-informations
             * $renderer->addCssInlineBlock(
             *    'import_' . $_EXTKEY, '@import url("' . $params['cssFile'] . '") ' . $params['media'] . ';',
             *    $params['compress'],
             *    $params['forceToTop'],
             *    ''
             * );
             */
        }
    }
}
