<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing',
		'label' => 'nickname',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'nickname,source,sourcewidth,sourceheight,outset,type_repeat,slice,width,fill,',
		'iconfile' => 'EXT:borderstyle/Resources/Public/Icons/tx_borderstyle_domain_model_picturing.svg',
        // hide table in record-list of the modul LIST
        'hideTable' => TRUE
	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, nickname, source, width, height, outset, type_repeat, slice, width, fill',
	),
	'types' => array(
		'1' => array('showitem' => 'nickname,  source, --pallete;width and height, --palette--;;size, outset, type_repeat, slice, fill, width, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
        'size' => array('showitem' => 'sourcewidth, sourceheight'),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'default' => -1,
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_borderstyle_domain_model_picturing',
				'foreign_table_where' => 'AND tx_borderstyle_domain_model_picturing.pid=###CURRENT_PID### AND tx_borderstyle_domain_model_picturing.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'nickname' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.nickname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'source' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.source',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'source',
				array(
					'appearance' => array(
						'createNewRelationLinkTitle' => 'LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference'
					),
					'foreign_types' => array(
						'0' => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array(
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						)
					),
					'maxitems' => 1
				),
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		),
        'sourcewidth' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.sourcewidth',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'sourceheight' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.sourceheight',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
		'outset' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.outset',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'type_repeat' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.type_repeat',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim',
                'wizards' => array(
                    'width' => array(
                        'type' => 'select',
                        'mode' => '',
                        'items' => array(
                            ['- empty -', ''],
                            [' unset', ' unset'],
                            ['initial' , 'initial'],
                            ['inherit', 'inherit'],
                            ['stretch', ' stretch'],
                            ['repeat' , 'repeat'],
                            ['round', 'round'],
                            ['space', 'space'],
                            ['stretch round', 'stretch round'],
                            ['round space', 'round space'],
                        )
                    )
                ),
			),
		),
		'slice' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.slice',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
        'fill' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.fill',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'width' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_picturing.width',
            'config' => array(
                'default' => 'not in use',
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'readOnly' => 1
			),
        ),

	),
);