<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme',
		'label' => 'nickname',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'nickname,class_name,radius,width,typus,border_top,border_right,border_bottom,border_left,picturing,',
		'iconfile' => 'EXT:borderstyle/Resources/Public/Icons/tx_borderstyle_domain_model_theme.svg',
        'rootLevel' => false,
        'requestUpdate' => 'typus,picturing',

	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, nickname, class_name, width, radius, typus, border_top, border_right, border_bottom, border_left, picturing',
	),
	'types' => array(
//		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, nickname, class_name, radius, typus, border_top, border_right, border_bottom, border_left, picturing, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
		'1' => array('showitem' => 'nickname, class_name, radius, width, typus, border_top, border_right, border_bottom, border_left, picturing, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'default' => -1,
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_borderstyle_domain_model_theme',
				'foreign_table_where' => 'AND tx_borderstyle_domain_model_theme.pid=###CURRENT_PID### AND tx_borderstyle_domain_model_theme.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'nickname' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.nickname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'class_name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.class_name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required,lower,alpha'
			),
		),
		'radius' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.radius',
            'displayCond' => [
                'AND' => [
                    'FIELD:picturing:REQ:false'
                ]
            ],
			'config' => array(
                'type' => 'input',
                'size' => 30,
                'is_in' => '4;%;ch,em,ex,rem,vh,vw,vmin,vmax,px,cm,mm,in,pc,pt;;',
				'eval' => 'trim,Porth\Borderstyle\Evaluation\TupelEvaluation', // @todo eval is not really finished yet - Porth 2016
			),
		),
        'width' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.width',
            'default' => '0px',
            'displayCond' => [
                'AND' => [
                    'FIELD:picturing:REQ:false'
                ]
            ],
            'config' => array(
                'type' => 'input',
                'size' => 20,
                'is_in' => 'ch,em,ex,rem,vh,vw,vmin,vmax,px,cm,mm,in,pc,pt,%;thin,medium,thick',
                'eval' => 'trim',
                'wizards' => array(
                    'width' => array(
                        'type' => 'select',
                        'mode' => '',
                        'items' => array(
                            ['- empty -', ''],
                            [' inherit', ' inherit'],
                            ['thick thin 3% 4em' , '1px 2rem 3% 4em'],
                            ['1px 2rem 3%', '1px 2rem 3%'],
                            ['1px 2rem', '1px 2rem'],
                            ['1%', '1%'],
                            ['thin (1px; 2px <IE8)', 'thin'],
                            ['medium (3px; 4px <IE8)', 'medium'],
                            ['thick (5px; 6px <IE8)', 'thick'],
                        )
                    )
                ),
            ),
        ),
        'typus' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus',
            'default' => '1',
            'displayCond' => [
                'AND' => [
                    'FIELD:picturing:REQ:false'
                ]
            ],
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus.1', '1'],
                    ['LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus.2', '2'],
                    ['LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus.3', '3'],
                    ['LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus.4', '4'],
                    ['LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.typus.0', '0'],
                ],
                'size' => 1,
                'maxitems' => 1,
            ),
        ),
		'border_top' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.border_top',
            'displayCond' => [
                'AND' => [
                    'FIELD:picturing:REQ:false'
                ]
            ],
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_borderstyle_domain_model_styling',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'border_right' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.border_right',
            'displayCond' => [
                'AND' => [
                    'FIELD:typus:>:1',
                    'FIELD:picturing:REQ:false'
                ]
            ],
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_borderstyle_domain_model_styling',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'border_bottom' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.border_bottom',
            'displayCond' => [
                'AND' => [
                    'FIELD:typus:>:2',
                    'FIELD:picturing:REQ:false'
                ]
            ],
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_borderstyle_domain_model_styling',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'border_left' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.border_left',
            'displayCond' => [
                'AND' => [
                    'FIELD:typus:>:3',
                    'FIELD:picturing:REQ:false'
                ]
            ],
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_borderstyle_domain_model_styling',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'picturing' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:borderstyle/Resources/Private/Language/locallang_db.xlf:tx_borderstyle_domain_model_theme.picturing',
            'displayCond' => [
                'FIELD:typus:>:0',
            ],
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_borderstyle_domain_model_picturing',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		
	),
);