<?php

namespace Porth\Borderstyle\Tests\Unit\Domain\Model;


    /***************************************************************
     *
     *  Copyright notice
     *
     *  (c) 2016 Dr. Dieter Porth <info@mobger.de>
     *
     *  All rights reserved
     *
     *  This script is free software; you can redistribute it and/or modify
     *  it under the terms of the GNU General Public License as published by
     *  the Free Software Foundation; either version 3 of the License, or
     *  (at your option) any later version.
     *
     *  The GNU General Public License can be found at
     *  http://www.gnu.org/copyleft/gpl.html.
     *
     *  This copyright notice MUST APPEAR in all copies of the script!
     ***************************************************************/

/**
 * Test case for class \Porth\Borderstyle\Domain\Model\Picturing.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Dr. Dieter Porth <info@mobger.de>
 */
class PicturingTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Porth\Borderstyle\Domain\Model\Picturing
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Porth\Borderstyle\Domain\Model\Picturing();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getNicknameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getNickname()
		);
	}

	/**
	 * @test
	 */
	public function setNicknameForStringSetsNickname()
	{
		$this->subject->setNickname('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'nickname',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSourceReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getSource()
		);
	}

	/**
	 * @test
	 */
	public function setSourceForFileReferenceSetsSource()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setSource($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'source',
			$this->subject
		);
	}

    /**
     * @test
     */
    public function getSourcewidthReturnsInitialValueForInt()
    {	}

    /**
     * @test
     */
    public function setSourcewidthForIntSetsSourcewidth()
    {	}

    /**
     * @test
     */
    public function getSourceheightReturnsInitialValueForInt()
    {	}

    /**
     * @test
     */
    public function setSourceheightForIntSetsSourceheight()
    {	}

    /**
	 * @test
	 */
	public function getOutsetReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOutset()
		);
	}

	/**
	 * @test
	 */
	public function setOutsetForStringSetsOutset()
	{
		$this->subject->setOutset('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'outset',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getTypeRepeatReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getTypeRepeat()
		);
	}

	/**
	 * @test
	 */
	public function setTypeRepeatForStringSetsTypeRepeat()
	{
		$this->subject->setTypeRepeat('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'typeRepeat',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSliceReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSlice()
		);
	}

	/**
	 * @test
	 */
	public function setSliceForStringSetsSlice()
	{
		$this->subject->setSlice('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'slice',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getWidthReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getWidth()
		);
	}

	/**
	 * @test
	 */
	public function setWidthForStringSetsWidth()
	{
		$this->subject->setWidth('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'width',
			$this->subject
		);
	}


    /**
     * @test
     */
    public function getFillReturnsInitialValueForBool()
    {
        $this->assertSame(
            FALSE,
            $this->subject->getFill()
        );
    }

    /**
     * @test
     */
    public function setFillForBoolSetsFill()
    {
        $this->subject->setFill(TRUE);

        $this->assertAttributeEquals(
            TRUE,
            'fill',
            $this->subject
        );
    }


}
