<?php

namespace Porth\Borderstyle\Tests\Unit\Domain\Model;


    /***************************************************************
     *
     *  Copyright notice
     *
     *  (c) 2016 Dr. Dieter Porth <info@mobger.de>
     *
     *  All rights reserved
     *
     *  This script is free software; you can redistribute it and/or modify
     *  it under the terms of the GNU General Public License as published by
     *  the Free Software Foundation; either version 3 of the License, or
     *  (at your option) any later version.
     *
     *  The GNU General Public License can be found at
     *  http://www.gnu.org/copyleft/gpl.html.
     *
     *  This copyright notice MUST APPEAR in all copies of the script!
     ***************************************************************/

/**
 * Test case for class \Porth\Borderstyle\Domain\Model\Styling.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Dr. Dieter Porth <info@mobger.de>
 */
class StylingTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Porth\Borderstyle\Domain\Model\Styling
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Porth\Borderstyle\Domain\Model\Styling();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getNicknameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getNickname()
		);
	}

	/**
	 * @test
	 */
	public function setNicknameForStringSetsNickname()
	{
		$this->subject->setNickname('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'nickname',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getColorReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getColor()
		);
	}

	/**
	 * @test
	 */
	public function setColorForStringSetsColor()
	{
		$this->subject->setColor('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'color',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getStyleReturnsInitialValueForInt()
	{
        $this->assertSame(
            '',
            $this->subject->getStyle()
        );
    }

	/**
	 * @test
	 */
	public function setStyleForStringSetsStyle()
	{
        $this->subject->setStyle('Conceived at T3CON10');

        $this->assertAttributeEquals(
            'Conceived at T3CON10',
            'width',
            $this->subject
        );
    }
}
